Bug 443291 - ISO image via NFS, got "Missing ISO 9660 image" and failed to install
ISO image via NFS, got "Missing ISO 9660 image" and failed to install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: 444432 (view as bug list)
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
Reported: 2008-04-20 05:33 EDT by Kazutoshi Morioka
Modified: 2013-01-09 23:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-05 13:13:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sceenshot when that message was pop-up (69.40 KB, image/png)
2008-04-20 05:33 EDT, Kazutoshi Morioka
no flags Details
here is /tmp/anaconda.log (17.42 KB, text/plain)
2008-04-21 00:49 EDT, Kazutoshi Morioka
no flags Details

  None (edit)
Description Kazutoshi Morioka 2008-04-20 05:33:16 EDT
Description of problem:
During installation from ISO image via NFS, after setting boot loader, got a
message "Missing ISO 9660 image", and buttons "Exit" and "Retry".
Pressing "Exit", installation was aborted and reboot automatically.
Pressing "Retry", got same message again.

Version-Release number of selected component (if applicable):
Fedora 9 Preview release

How reproducible:

Steps to Reproduce:
1.boot installer with boot.img or vmlinuz and initrd.img from grub
2.chose NFS install
3.put a ISO image, Fedora-9-Preview-i386-DVD.iso on the NFS server
4.select NFS server and directory that contains ISO image
5.go through installation to boot loader settings
Actual results:
got a message "Missing ISO 9660 image"

Expected results:
proceed to package selection screen

Additional info:
Instead of ISO image + NFS installation, installation from a NFS directory on
which loopback mounted ISO image in the NFS server was successful.
Comment 1 Kazutoshi Morioka 2008-04-20 05:33:16 EDT
Created attachment 303047 [details]
sceenshot when that message was pop-up
Comment 2 Kazutoshi Morioka 2008-04-20 05:46:28 EDT
Instead of DVD-image, CD-image + NFS installation is successful.
Comment 3 Martin Delemotte 2008-04-20 13:27:51 EDT
I get the same bug when installing with the DVD ISO image on my hard drive as
specified here:
Comment 4 Chris Lumens 2008-04-20 16:23:51 EDT
Please attach /tmp/anaconda.log to this bug report.
Comment 5 Kazutoshi Morioka 2008-04-21 00:49:07 EDT
Created attachment 303097 [details]
here is /tmp/anaconda.log
Comment 6 Chris Lumens 2008-04-23 05:31:25 EDT
We are completely unable to reproduce this problem using both the boot method
you describe as well as booting from network and booting from CD media.
Comment 7 Kazutoshi Morioka 2008-04-23 06:59:33 EDT
No, this dose not occur with CD media. Only occur with boot.img and
DVD-ISO-image on NFS.
Comment 8 Kazutoshi Morioka 2008-04-23 07:24:40 EDT
Do you put CD-ISO-images on the same directory where DVD-ISO-image is on?
If so, this dose not occur. I tested that condition just now.
This is a bug that anaconda try to loop mount Fedora-9-Preview-i386-disc1.iso
even installing from DVD-image.
Comment 9 Kazutoshi Morioka 2008-04-23 09:54:18 EDT
In the image.py, findIsoImages() reads file .discinfo to get discNum, but in the
DVD image,discNum is "ALL" not "1". Anaconda dose not treat this case properly.
This is why anaconda can't find DVD image, I think.
Comment 10 Kazutoshi Morioka 2008-04-23 10:36:07 EDT
I hexedit Fedora-9-Preview-i386-DVD.iso and change "ALL" to "1" in .discinfo.
Then, installation was finished successll.
Comment 11 Jeremy Katz 2008-04-23 12:08:49 EDT
ALL should be getting replaced with the list of discs at compose time I thought
Comment 12 Chris Lumens 2008-04-23 12:17:36 EDT
*** Bug 443580 has been marked as a duplicate of this bug. ***
Comment 13 Jesse Keating 2008-04-23 12:29:53 EDT
Ugh this again?  I could have sworn we deemed switching "all" to "1" to not be
necessary anymore.  *sigh*
Comment 14 Fred New 2008-04-24 04:57:09 EDT
Mr. Morioka - How exactly did you change "ALL" to "1"?  I have tried
"1<space><space>" and "1<new line><space>" and I still get the same error.  Did
you somehow make the .discinfo file two bytes shorter?  (I am trying to install
my system from hard disk, to confirm that this is the same problem as you are
having with NFS installation.)
Comment 15 Kazutoshi Morioka 2008-04-24 05:20:50 EDT
I tried "1<new line><new line>". But I don't know why "1<new line><space>" you
tried did not work.

Here is hexdump:
000B0000   31 32 30 38  34 34 38 38  38 36 2E 35  30 34 35 35  1208448886.50455
000B0010   37 0A 46 65  64 6F 72 61  20 39 2D 50  72 65 76 69  7.Fedora 9-Previ
000B0020   65 77 0A 69  33 38 36 0A  31 0A 0A 0A  00 00 00 00  ew.i386.1.......
Comment 16 Fred New 2008-04-24 06:02:03 EDT
Thanks. I hexedited my ...-DVD.iso file to look exactly like yours in comment
#15, but the hard disk installation continued to fail with "Missing ISO 9660
Image".  There must be some other difference between the two installation types
that is causing me a problem.  Another difference is that I am not allowing
Anaconda to format my /boot or root partitions during these tests - I like
having a system to come back to after the installation fails.  I can attach my
anaconda.log if anyone is interested.
Comment 17 Fred New 2008-04-25 05:04:01 EDT
I have confirmed that the hexedited -DVD.iso file permits me to get past the
"Missing ISO 9660 Image" message for an NFS installation, although I didn't use
PXE and kickstart as I did previously.
Comment 18 Jeremy Katz 2008-04-25 15:13:39 EDT
Applied Jesse's patch for this
Comment 19 Jeremy Katz 2008-04-28 23:09:54 EDT
*** Bug 444432 has been marked as a duplicate of this bug. ***
Comment 20 Shawn Starr 2008-05-02 01:15:40 EDT
Using Anaconda

1) Faked a netinstall from a snapshot DVD build of rawhide (askmethod mode).
Select NFS point to NFS mount point without specifying the ISO directly (in this
case Fedora-rawhide-i386-DVD.iso) Anaconda successfully installs and finds the

Cannot reproduce, seems fixed to me.
Comment 21 Fred New 2008-05-02 01:54:56 EDT
Is it possible to test a hard disk installation, since bug 443580 was closed as
a duplicate of this one?  As I noted in comment #16, the workaround for the NFS
installation didn't work for the hard disk installation.
Comment 22 Will Woods 2008-05-05 12:38:25 EDT
I'm testing this with HD installation.. either I'm doing it wrong or it's still

There are messages in anaconda.log that show the ISO being found and mounted
successfully, so I'm almost positive this isn't operator error.
Comment 23 Jesse Keating 2008-05-05 12:57:11 EDT
Iso via hdd may be a different problem.  I'm more concerned about iso via nfs
being fixed.
Comment 24 Jesse Keating 2008-05-05 13:13:31 EDT
I confirmed that nfs iso with disc1+ works.  Closing this bug, re-open hdd iso
if that's still a problem.

Note You need to log in before you can comment on or make changes to this bug.